%define name tryton
%define version 1.6.1
%define release %mkrel 1

Summary:        Tryton is a application platform
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Networking/Other
License:        GPLv3+
URL:            http://www.tryton.org/
Source0:        http://www.tryton.org/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
BuildRequires:  python-devel python-setuptools
Requires: pygtk2.0
Requires: librsvg   
Requires: python-egenix-mx-base
Requires: pytz 
Requires: python >= 2.6.6

%description
Tryton is a three-tiers high-level general purpose application platform under the license GPL-3 written 
in Python and using PostgreSQL as database engine.It is the core base of a complete business solution 
providing modularity, scalability and security.




%prep
%setup -q 


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_datadir}/applications
install -m 755 %name.desktop $RPM_BUILD_ROOT%{_datadir}/applications

 # icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 share/pixmaps/%name/%name.png %buildroot/%_liconsdir/%name-icon.png
convert -scale 48 %buildroot/%_liconsdir/%name-icon.png %buildroot/%_liconsdir/%name-icon.png
install -m 644 share/pixmaps/%name/%name.png %buildroot/%_iconsdir/%name-icon.png
convert -scale 32 %buildroot/%_iconsdir/%name-icon.png %buildroot/%_iconsdir/%name-icon.png
install -m 644 share/pixmaps/%name/%name.png %buildroot/%_miconsdir/%name-icon.png
convert -scale 16 %buildroot/%_miconsdir/%name-icon.png %buildroot/%_miconsdir/%name-icon.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root,-)
%doc LICENSE README CHANGELOG COPYRIGHT TODO
%{_bindir}/%name
%{_datadir}/pixmaps/%name
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/applications/*.desktop
%{py_sitedir}/%name
%{py_sitedir}/*.egg-info
%{_miconsdir}/%name-icon.png
%{_iconsdir}/%name-icon.png
%{_liconsdir}/%name-icon.png


%changelog
* Sat Sep 11 2010 Texstar <texstar at gmail.com> 1.6.1-1pclos2010
- 1.6.1

* Wed Sep 02 2009 slick50 <lxgator@gmail.com> 1.2.2-1pclos2009
- new release 1.2.2

* Tue Jul 07 2009 slick50 <lxgator@gmail.com> 1.2.1-1pclos2009
- new release 1.2.1

* Sun Jul 05 2009 slick50 <lxgator@gmail.com> 1.2.0-1pclos2009
- initial build

